package com.ygtx.gxt.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ygtx.common.annotation.Excel;
import com.ygtx.common.core.domain.BaseEntity;

/**
 * 用户操作历史记录对象 gxt_user_operator_history
 *
 * @author ruoyi
 * @date 2025-12-11
 */
public class GxtUserOperatorHistory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 操作类型 */
    @Excel(name = "操作类型")
    private String opType;

    /** 操作人 */
    @Excel(name = "操作人")
    private Long opUserid;

    /** 次数 */
    @Excel(name = "次数")
    private Long opNum;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 票号 */
    @Excel(name = "票号")
    private String opTicket;

    /** 负责人ID */
    @Excel(name = "负责人ID")
    private Long opLeaderId;

    /** 负责人姓名 */
    @Excel(name = "负责人姓名")
    private String opLeaderName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setOpType(String opType)
    {
        this.opType = opType;
    }

    public String getOpType()
    {
        return opType;
    }

    public void setOpUserid(Long opUserid)
    {
        this.opUserid = opUserid;
    }

    public Long getOpUserid()
    {
        return opUserid;
    }

    public void setOpNum(Long opNum)
    {
        this.opNum = opNum;
    }

    public Long getOpNum()
    {
        return opNum;
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public void setOpTicket(String opTicket)
    {
        this.opTicket = opTicket;
    }

    public String getOpTicket()
    {
        return opTicket;
    }

    public void setOpLeaderId(Long opLeaderId)
    {
        this.opLeaderId = opLeaderId;
    }

    public Long getOpLeaderId()
    {
        return opLeaderId;
    }

    public void setOpLeaderName(String opLeaderName)
    {
        this.opLeaderName = opLeaderName;
    }

    public String getOpLeaderName()
    {
        return opLeaderName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("opType", getOpType())
            .append("opUserid", getOpUserid())
            .append("opNum", getOpNum())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("opTicket", getOpTicket())
            .append("opLeaderId", getOpLeaderId())
            .append("opLeaderName", getOpLeaderName())
            .toString();
    }
}
